EDOS-RPMCHECK(1)

NAME
Edos-rpmcheck - Check satisfiability of rpm package dependencies

SYNOPSIS
edos-rpmcheck [option] ... [package] ...

DESCRIPTION
edos-rpmcheck reads from standard input a set of rpm package descriptions. Packages may appear with multiple versions in this set. For instance, an uncompressed hdlist.cz is suitable as input.

We say that a package is identified in this set by the pair consisting of the package name and of the package version.

A package (called goal) is called installable with respect to a set of packages if there exists a subset of the packages that
 - contains at most one version for each package name
 - contains the goal package (in any version, or a specific version)
 - all packages of the subset have their dependencies and conflicts satisfied in this subset.

Edos-rpmcheck checks whether every package given as argument is installable with respect to the input set of packages. Specific versions can be specified by following the package name with the sign '=' and the version of the package (for instance, 'xemacs21=21.4.17-1'). If no package name is given as argument then all packages of the input set are checked for satisfiability.

The constraint solving algorithm is complete, that is it finds a solution whenever there exists one, even for multiple disjunctive dependencies and deep package conflicts. This problem is computationally infeasible in theory (that is, NP-complete), but can in practice be solved very efficiently.

OPTIONS

-explain
    Explain the results

-rules
    Print generated rules

-failures
    Only show failures

-successes
    Only show successes

-base file
    Specifiy an additional file providing packages that are not checked but used for resolving dependencies

-quiet
    Supress warnings and progress/timing messages

-xml
    Output results in XML format

-help, --help
    Display this list of options

EXAMPLE
Check which packages in a particular distribution are not installable and why:

  gunzip -c hdlist.cz | edos-rpmcheck -failures -explain

where hdlist.cz is the file pertaining to that distribution.

Check whether version 21.4.17-1 of the xemacs21 package is installable in a distribution described by the file Packages:

  gunzip -c hdlist.cz | edos-rpmcheck -explain xemacs=21.4.17-1

AUTHOR
Edos-rpmcheck has been written by Jerome Vouillon for the EDOS project. This man-page has been compiled by Ralf Treinen.

SEE ALSO
<http://www.edos-project.org> is the home page of the EDOS project.

edos-debcheck(1) is the analogous tool for debian packages.